-- 
-- HappyHorse
-- Makes it easier to keep your horses in FS22 happy ;)
-- sperrgebiet
-- 
HappyHorse = {}
HappyHorse.ModName = g_currentModName;
addModEventListener(HappyHorse)

function HappyHorse:loadMap()
	g_messageCenter:subscribe(MessageType.HOUR_CHANGED, self.hourChanged, self)
end

function HappyHorse:hourChanged()
	if g_currentMission.environment.currentHour == 12 then
		for _,husbandry in pairs(g_currentMission.husbandrySystem.clusterHusbandries) do
			if husbandry.animalTypeName == "HORSE" then
				for _, horse in pairs(husbandry.animalIdToCluster) do
					horse.riding = 100
					horse.fitness = 100
					g_currentMission.hud:addSideNotification(FSBaseMission.INGAME_NOTIFICATION_OK, string.format("%s %s", horse.name, g_i18n.modEnvironments[HappyHorse.ModName].texts.info))
				end
			end
		end
	end
end